## calc 2.15.0.1

=== debian/changelog ===
calc (2.15.0.1-1) unstable; urgency=medium

  * New upstream version 2.15.0.1 (Closes: #1054031)
  * Update lintian overrides again, don't know why it worked before
  * Drop last part of warning fixes for gcc 4.9.1, no longer required
  * Update filepos2z patch with proper fix

 -- Martin Buck <mbuck@debian.org>  Wed, 01 Nov 2023 21:48:28 +0100
