=== debian/changelog ===
calc (2.15.0.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:45:32 +0000

calc (2.15.0.4-1build1) noble; urgency=medium

  * No-change rebuild for libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 18:58:21 +0100

calc (2.15.0.4-1) unstable; urgency=medium

  * New upstream version 2.15.0.4
    Closes: #799392 - document the need to use '-p' in scripts, see
    https://github.com/lcn2/calc/issues/133 for details).
    Also merges our non-Debian-specific patches, so drop them.
  * Fix multi-line paste (https://github.com/lcn2/calc/issues/138)
  * Publish on salsa

 -- Martin Buck <mbuck@debian.org>  Fri, 19 Jan 2024 02:47:40 +0100
